spring:
  datasource:
    dynamic:
      primary: master
      strict: false  # 是否严格匹配数据源，默认false
      druid: # 如果使用Druid连接池
        validation-query: SELECT 1 FROM DUAL  # 达梦专用校验SQL
        initial-size: 10
        # 初始化大小，最小，最大
        min-idle: 20
        maxActive: 500
        # 配置获取连接等待超时的时间
        maxWait: 60000
        # 配置间隔多久才进行一次检测，检测需要关闭的空闲连接，单位是毫秒
        timeBetweenEvictionRunsMillis: 60000
        # 配置一个连接在池中最小生存的时间，单位是毫秒
        minEvictableIdleTimeMillis: 300000
        testWhileIdle: true
        testOnBorrow: true
        testOnReturn: false
        # 打开PSCache，并且指定每个连接上PSCache的大小
        poolPreparedStatements: true
        maxPoolPreparedStatementPerConnectionSize: 20
      datasource:
        master:
          driver-class-name: com.mysql.cj.jdbc.Driver
          url: jdbc:mysql://192.168.1.103:13306/pqsinfo_wuxi?useUnicode=true&characterEncoding=utf-8&useSSL=true&serverTimezone=Asia/Shanghai
          username: root
          password: njcnpqs


  #influxDB内容配置
  influx:
    url: http://192.168.1.103:18086
    user: admin
    password: 123456
    database: pqsbase_wx
    mapper-location: com.njcn.**.imapper

db:
  type: mysql
#文件位置配置
business:
  #处理波形数据位置
  #wavePath: D://comtrade
  wavePath: /usr/local/comtrade
  #处理临时数据
  #tempPath: D://file
  tempPath: /usr/local/file
  #文件存储的方式 1.本地
  file:
    storage: 1
  localStoragePath: /usr/local/localStoragePath
  #localStoragePath: f://localStoragePath
#oss服务器配置
min:
  io:
    endpoint: http://192.168.1.22:9009
    accessKey: minio
    secretKey: minio@123
    bucket: excelreport
    #华为obs服务器配置
huawei:
  access-key: J9GS9EA79PZ60OK23LWP
  security-key: BirGrAFDSLxU8ow5fffyXgZRAmMRb1R1AdqCI60d
  obs:
    bucket: test-8601
    endpoint: https://obs.cn-east-3.myhuaweicloud.com
    # 单位为秒
    expire: 3600



